﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=5.9
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Public DarkTheme As Boolean
	Public PropBackColor As String = "#FFFFFF"
	Public PropForeColor As String = "#000000"	
	Public TitleColor As String = "steelblue"
	
	Public PhoneRow As List = Array(224,82,82)
	Public PhoneCell As List = Array(224,82,82)
	Public PhoneCellHolder As List = Array(191,35,35)
	
	Public TabletRow As List = Array(90,155,252)
	Public TabletCell As List = Array(90,155,252)
	Public TabletCellHolder As List = Array(78,135,220)
	
	Public DesktopRow As List = Array(87,162,100)
	Public DesktopCell As List = Array(87,162,100)
	Public DesktopCellHolder As List = Array(76,141,87)
	
	Public stripes As Image
End Sub

Sub GetPaint(GridType As Int, paintType As Int, Alpha As Int, isVisible As Boolean) As Paint	
	paintType=GridType*10+paintType
	Dim p As Paint 
	If isVisible Then	
		Select Case paintType
			Case 0 ' phone row
				p = fx.Colors.ARGB(Alpha,PhoneRow.get(0),PhoneRow.get(1),PhoneRow.get(2))					
			Case 1 ' phone cell
				p = fx.Colors.ARGB(Alpha,PhoneCell.get(0),PhoneCell.get(1),PhoneCell.get(2))					
			Case 2 ' phone cell holder
				p = fx.Colors.ARGB(Alpha,PhoneCellHolder.get(0),PhoneCellHolder.get(1),PhoneCellHolder.get(2))			
			Case 10 ' tablet row
				p = fx.Colors.ARGB(Alpha,TabletRow.get(0),TabletRow.get(1),TabletRow.get(2))	
			Case 11 ' tablet cell
				p = fx.Colors.ARGB(Alpha,TabletCell.get(0),TabletCell.get(1),TabletCell.get(2))		
			Case 12 ' tabel cell holder		
				p = fx.Colors.ARGB(Alpha,TabletCellHolder.get(0),TabletCellHolder.get(1),TabletCellHolder.get(2))		
			Case 20 ' desktop row
				p = fx.Colors.ARGB(Alpha,DesktopRow.get(0),DesktopRow.get(1),DesktopRow.get(2))	
			Case 21 ' desktop cell
				p = fx.Colors.ARGB(Alpha,DesktopCell.get(0),DesktopCell.get(1),DesktopCell.get(2))		
			Case 22 ' desktop cell holder		
				p = fx.Colors.ARGB(Alpha,DesktopCellHolder.get(0),DesktopCellHolder.get(1),DesktopCellHolder.get(2))	
		End Select	
	Else
		Select Case paintType
			Case 0 ' phone row
				p = fx.Colors.ARGB(Alpha,158,158,158)					
			Case 1 ' phone cell
				p = fx.Colors.ARGB(Alpha,189,189,189)					
			Case 2 ' phone cell holder
				p = fx.Colors.ARGB(Alpha,117,117,117)					
			Case 10 ' tablet row
				p = fx.Colors.ARGB(Alpha,158,158,158)	
			Case 11 ' tablet cell
				p = fx.Colors.ARGB(Alpha,189,189,189)					
			Case 12 ' tabel cell holder		
				p = fx.Colors.ARGB(Alpha,117,117,117)						
			Case 20 ' desktop row
				p = fx.Colors.ARGB(Alpha,158,158,158)
			Case 21 ' desktop cell
				p = fx.Colors.ARGB(Alpha,189,189,189)					
			Case 22 ' desktop cell holder		
				p = fx.Colors.ARGB(Alpha,117,117,117)					
		End Select	
	End If
	Return p
End Sub
